bowtie2 (2.5.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * refresh patches.
  * d/patches: update my email address, add some Forwarded hints
  * tests: remove need to build debug versions.
  * d/tests: run built-in tests as well.

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 12 Sep 2023 13:16:13 +0200

bowtie2 (2.5.0-3) unstable; urgency=medium

  * Merge all autopkgtest scripts into run-unit-test as usual in Debian Med
    packages
  * Prevent autopkgtest on s390x since the package is no built here
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 17 Jan 2023 16:15:35 +0100

bowtie2 (2.5.0-2) unstable; urgency=medium

  * Package does not build on s390x any more

 -- Andreas Tille <tille@debian.org>  Mon, 12 Dec 2022 15:02:31 +0100

bowtie2 (2.5.0-1) unstable; urgency=medium

  * Team upload.

  [ Andreas Tille ]
  * No salsa-ci for i386
  * Use proper download file name
  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Use secure URI in Homepage field.
  * Set upstream metadata fields: Bug-Database.
  * Update patches

  [ Étienne Mollier ]
  * simde patch: adjust to introduction of AVX2 support.
  * d/control: add pandoc to build doc/manual.html.
  * d/rules: trigger refresh of the doc/manual.html.
  * d/s/lintian-overrides: override missing source on doc/manual.html.

 -- Étienne Mollier <emollier@debian.org>  Sat, 05 Nov 2022 20:25:56 +0100

bowtie2 (2.4.5-1) unstable; urgency=medium

  * New upstream version
  * Drop transition for old debug package migration.

 -- Andreas Tille <tille@debian.org>  Thu, 17 Feb 2022 16:46:58 +0100

bowtie2 (2.4.4-1) unstable; urgency=medium

  * Team upload.
  * Fix watchfile to detect new versions on github (routine-update)
  * Standards-Version: 4.6.0 (routine-update)
  * Refresh patches

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 13 Sep 2021 18:45:11 +0200

bowtie2 (2.4.2-2) unstable; urgency=medium

  [ Vagrant Cascadian ]
  * Patch Makefile to set date for BUILD_TIME using SOURCE_DATE_EPOCH.
    Closes: #977435
  * Force same hostname to enable reproducible builds
    Closes: #977436

  [ Andreas Tille ]
  * Standards-Version: 4.5.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * use binaries installed to debian/tmp

 -- Andreas Tille <tille@debian.org>  Tue, 15 Dec 2020 21:07:56 +0100

bowtie2 (2.4.2-1) unstable; urgency=medium

  * New upstream version 2.4.2
  * Refresh patches,
    drop applied by upstream gcc10_ftbfs_invalid_dquote_char.patch
  * Apply cme fix dpkg, drop version from libsimde-dev

 -- Alexandre Mestiashvili <mestia@debian.org>  Wed, 07 Oct 2020 20:06:52 +0200

bowtie2 (2.4.1-6) unstable; urgency=medium

  * Team upload.
  * Bump version requirement for libsimde-dev to grab ppc64el fixes.

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 01 Jun 2020 15:40:38 +0200

bowtie2 (2.4.1-5) unstable; urgency=medium

  * Reproducible builds: filter out -ffile-prefix-map
    Closes: #961494

 -- Andreas Tille <tille@debian.org>  Mon, 25 May 2020 14:14:23 +0200

bowtie2 (2.4.1-4) unstable; urgency=medium

  * Team upload.
  * Switch to libsimde-dev package from our code copy

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Tue, 21 Apr 2020 15:35:11 +0200

bowtie2 (2.4.1-3) UNRELEASED; urgency=medium

  * Team upload.
  * Add salsa-ci file (routine-update)

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Mon, 20 Apr 2020 17:54:38 +0200

bowtie2 (2.4.1-2) unstable; urgency=medium

  * Add patch fixing FTBFS with gcc10, thanks to Jun Aruga
    Closes: #957054

 -- Alexandre Mestiashvili <mestia@debian.org>  Sun, 19 Apr 2020 11:11:42 +0200

bowtie2 (2.4.1-1) unstable; urgency=medium

  * Team upload.
  * debian/control: not ready for 32-bit archs, and those builds often take
    2-3+ hours to fail, so lets be nice and skip them.
    Patches to fix 32-bit archs are very welcomed!
  * Standards-Version: 4.5.0 (routine-update)
  * Freshen patches
  * debian/upstream/metadata: Add Bug-{Database,Submit},Repository{,-Browse}
  * Update SIMDe version to 2a9ff6ddabfb940bdd29a0a0cd1ae3190f5fc97b 2020-04-03

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sun, 01 Mar 2020 11:30:50 +0100

bowtie2 (2.3.5.1-6) unstable; urgency=medium

  * Team upload.
  * Remove the -m64 flag; not needed and not as universal as I thought
  * This means we build on arm64. (Closes: #925499)

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Wed, 18 Dec 2019 13:36:56 +0100

bowtie2 (2.3.5.1-5) unstable; urgency=medium

  * Team upload.
  * debian/rules: Remove -santized here as well

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Wed, 18 Dec 2019 12:15:28 +0100

bowtie2 (2.3.5.1-4) unstable; urgency=medium

  * Team upload.
  * Added patch to correct the 64bit detection logic.
  * Disable -fsanitize builds to save resources

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Mon, 16 Dec 2019 10:13:27 +0100

bowtie2 (2.3.5.1-3) unstable; urgency=medium

  * Team upload.
  * Enable all architectures via simde.
  * Unset M64_FLAG and POPCNT_CAPABILITY on non AMD64 archs.
  * debian/rules: Fix testing in with cowdancer or eatmydata by unsetting
    LD_PRELOAD (the address sanitizer must be first in the library list)
  * Added missing ${perl:Depends} for the bowtie2 binary package

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sat, 14 Dec 2019 13:42:14 +0100

bowtie2 (2.3.5.1-2) unstable; urgency=medium

  [ Steffen Möller ]
  * Added ref to conda

  [ Andreas Tille ]
  * SEQwiki is deprecated

  [ Steffen Moeller ]
  * d/u/metadata: yamllint

  [ Alexandre Mestiashvili ]
  * Update d/patches/2to3.patch, use importlib instead of deprecated imp module
    Closes: #945422
  * Add patch silencing TBB deprecation warnings
  * d/control: bump Policy to 4.4.1, add Rules-requires-root: no

 -- Alexandre Mestiashvili <mestia@debian.org>  Fri, 06 Dec 2019 22:38:21 +0100

bowtie2 (2.3.5.1-1) unstable; urgency=medium

  [ Michael R. Crusoe ]
  * bowtie-examples: set Multi-Arch: foreign

  [ Steffen Moeller ]
  * debhelper-compat 12
  * Standards-Version: 4.4.0
  * New upstream version - yet fails to build -> crash

  [ Andreas Tille ]
  * Use 2to3 to port to Python3
    Closes: #936233
  * Remove obsolete fields Name, Contact from debian/upstream/metadata.
  * Build-Depends: libfile-which-perl
  * (Build-)Depends: s/python/python3/

 -- Alexandre Mestiashvili <mestia@debian.org>  Thu, 05 Sep 2019 15:45:04 +0200

bowtie2 (2.3.4.3-1) unstable; urgency=medium

  [ Steffen Möller ]
  * Updated OMICtools ref in d/u/metadata

  [ Alexandre Mestiashvili ]
  * New upstream version 2.3.4.3:
    - Fixed an issue causing `bowtie2-build` and `bowtie2-inspect`
      to output incomplete help text.
    - Fixed an issue causing `bowtie2-inspect` to crash.
    - Fixed an issue preventing `bowtie2` from processing paired and/or
      unpaired FASTQ reads together with interleaved FASTQ reads.
  * Bump Policy to 4.2.1

 -- Alexandre Mestiashvili <mestia@debian.org>  Tue, 25 Sep 2018 07:58:26 +0000

bowtie2 (2.3.4.2-1) unstable; urgency=medium

  * New upstream version 2.3.4.2
  * Bump Standards-Version to 4.2.0
  * Refresh patches
  * Add patch fixing interpreter for bowite2 scripts
  * Add patch removing reference to js lib for ie...
  * Update uploader's email

 -- Alexandre Mestiashvili <mestia@debian.org>  Tue, 14 Aug 2018 13:31:56 +0200

bowtie2 (2.3.4.1-2) unstable; urgency=medium

  * Team upload.
  * Autopkgtest: add test that checks correct program behaviour when it called
    without arguments
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.1.4

 -- Liubov Chuprikova <chuprikovalv@gmail.com>  Tue, 12 Jun 2018 15:15:38 +0200

bowtie2 (2.3.4.1-1) unstable; urgency=medium

  * New upstream version 2.3.4.1
  * Refresh d/patches/reproducible.patch
  * Check DEB_BUILD_PROFILES against nocheck, strip trailing white spaces

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Wed, 07 Feb 2018 23:23:01 +0100

bowtie2 (2.3.4-1) unstable; urgency=medium

  * New upstream version 2.3.4
  * Refresh patches
  * Update d/rules, add sanitized binaries for tests
  * Update d/bowties2.docs
  * Use /usr/share/dpkg/architecture.mk to find DEB_HOST_ARCH
  * Bump Standards-Version: to 4.1.3, debhelper and compatibility level to 11

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Sat, 06 Jan 2018 15:45:55 +0100

bowtie2 (2.3.3.1-1) unstable; urgency=medium

  * Update Files-Excluded list in d/copyright
  * Bump Standards-Version to 4.1.1
  * New upstream version 2.3.3.1
  * Refresh patches
  * Don't run random-test at all as it depends on non-free Math::Random package
  * Drop single-cpu-for-test.patch, as we disabled random-test target completely
  * Remove unnecessary testsuite line from d/control

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Fri, 13 Oct 2017 15:14:20 +0200

bowtie2 (2.3.3-1) unstable; urgency=medium

  [ Steffen Moeller ]
  * debian/upstream/metadata: Corrected syntax
  * debian/control: policy bump to 4.0.1

  [ Alexandre Mestiashvili ]
  * Update Files-Excluded section in d/copyright
  * New upstream version 2.3.3
  * Bump Standards-Version in d/control
  * Refresh patches

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Mon, 11 Sep 2017 12:50:49 +0200

bowtie2 (2.3.2-2) unstable; urgency=medium

  [ Steffen Moeller ]
  * Added RRID (SCR_005476)
  * Added OMICtools ref (OMIC_00653)

  [ matuskalas ]
  * Added bio.tools ref and removed whole URLs (@smoe decision)

  [ Alexandre Mestiashvili ]
  * Bump Standards-Version to 4.0.0
  * Hardcode binary package name instead of using dpkg-parsechangelog
  * Upload to unstable

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Thu, 27 Jul 2017 15:30:16 +0200

bowtie2 (2.3.2-1) experimental; urgency=medium

  * New upstream version 2.3.2
  * Drop libreadline-dev build dependency
  * Refresh patches

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Wed, 24 May 2017 10:33:13 +0200

bowtie2 (2.3.1-1) unstable; urgency=medium

  * New upstream version 2.3.1
  * Refresh patches
  * Add zlib1g-dev and libreadline-dev build dependencies

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Tue, 07 Mar 2017 11:10:09 +0100

bowtie2 (2.3.0-2) unstable; urgency=medium

  * Team upload.

  [ Sascha Steinbiss ]
  * Skip tests involving simulated reads to avoid use of non-free build-dep
    libmath-random-perl again.
    Closes: #852546
  * Add libclone-perl build dependency.

  [ Alexandre Mestiashvili ]
  * Add patch suppressing -Wmisleading-indentation warnings.

  [ Steffen Moeller ]
  * Adjust EDAM annotations.

 -- Sascha Steinbiss <satta@debian.org>  Wed, 25 Jan 2017 16:27:13 +0100

bowtie2 (2.3.0-1) unstable; urgency=medium

  * Team upload.

  [ Andreas Tille ]
  * New upstream version
  * Code available on Github
  * debhelper 10
  * Remove Carlos Borroto from Uploaders
  * Remove code from test suite that is requiring non-free package
    libmath-random-perl
  * New Build-Depends to run build time test: liblocal-lib-perl

  [ Sascha Steinbiss ]
  * Even more new Build-Depends: libmath-random-perl, libtest-deep-perl
  * Disable rebuilding during tests

 -- Sascha Steinbiss <satta@debian.org>  Sat, 14 Jan 2017 07:50:51 +0000

bowtie2 (2.2.9-4) unstable; urgency=medium

  * Team upload.
  * Make build reproducible by adding compiler flags
    setting -fdebug-prefix-map.

 -- Sascha Steinbiss <satta@debian.org>  Thu, 25 Aug 2016 12:47:33 +0000

bowtie2 (2.2.9-3) unstable; urgency=medium

  * Team upload.
  * Fix building with GCC 6.
    Closes: #831157.

 -- Sascha Steinbiss <satta@debian.org>  Sat, 16 Jul 2016 03:22:51 +0000

bowtie2 (2.2.9-2) unstable; urgency=medium

  * Team upload.
  * Make build reproducible.
    - Remove embedding of build hostname, time and compiler.
    - Fix help2man wrapper heredoc.
    - Sort wildcard expansions in Makefile.
    - Pin down language settings.

 -- Sascha Steinbiss <sascha@steinbiss.name>  Sat, 21 May 2016 17:18:25 +0000

bowtie2 (2.2.9-1) unstable; urgency=medium

  * Imported Upstream version 2.2.9
  * Bump Standards-Version
  * Revert the commit with applied patch
  * Update hardening.patch
  * Cleanup d/rules, remove CPPFLAGS as they are imported anyway

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Thu, 28 Apr 2016 09:26:48 +0200

bowtie2 (2.2.8-1) unstable; urgency=medium

  [ Andreas Tille ]
  * New upstream version repackaged as xz
  * cme fix dpkg-control

  [ Alexandre Mestiashvili ]
  * Imported Upstream version 2.2.8
  * d/rules: export DEB_BUILD_MAINT_OPTIONS = hardening=+all
  * d/copyright: Merge Files: stanzas and update years

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Sat, 12 Mar 2016 15:57:34 +0100

bowtie2 (2.2.6-2) unstable; urgency=medium

  [ Charles Plessy ]
  * d/rules: quote variables contents passed to Makefile, closes: #809076.

 -- Andreas Tille <tille@debian.org>  Mon, 28 Dec 2015 08:23:51 +0100

bowtie2 (2.2.6-1) unstable; urgency=medium

  * Imported Upstream version 2.2.6
  * d/rules: WITH_TBB=1

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Fri, 28 Aug 2015 09:31:45 +0200

bowtie2 (2.2.5-2) unstable; urgency=medium

  * Upload to unstable

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Tue, 28 Apr 2015 18:06:34 +0200

bowtie2 (2.2.5-1) experimental; urgency=medium

  * Imported Upstream version 2.2.5

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Wed, 18 Mar 2015 10:09:35 +0100

bowtie2 (2.2.4-2) unstable; urgency=medium

  * d/control: add python dependency, needed to build bowtie2-build man page
    Closes: #769934
  * d/watch: fix upstream url parsing, see #766878
  * d/rules: remove byte-compiled bowtie2-buildc

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Tue, 18 Nov 2014 23:28:33 +0100

bowtie2 (2.2.4-1) unstable; urgency=medium

  [ Andreas Tille ]
  * d/control: Priority: optional
  * add missing DEP3 description

  [ Alexandre Mestiashvili ]
  * d/test/binary-run: test that binary work
  * d/test/control: add binary-run

  [ Andreas Tille ]
  * New upstream version
  * do uscan call directly in debian/rules instead of separate script
  * cme fix dpkg-control

 -- Andreas Tille <tille@debian.org>  Sun, 26 Oct 2014 07:08:46 +0100

bowtie2 (2.2.3-1) unstable; urgency=medium

  * Imported Upstream version 2.2.3

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Tue, 03 Jun 2014 16:13:47 +0200

bowtie2 (2.2.2-1) unstable; urgency=medium

  * Imported Upstream version 2.2.2

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Tue, 15 Apr 2014 13:40:01 +0200

bowtie2 (2.2.1-1) unstable; urgency=medium

  * Imported Upstream version 2.2.1
  * d/changelog: updated Copyright years

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Fri, 07 Mar 2014 09:37:13 +0100

bowtie2 (2.2.0-1) unstable; urgency=medium

  [ Alexandre Mestiashvili ]
  * Imported Upstream version 2.2.0

  [ James McCoy ]
  * Move debian/upstream to debian/upstream/metadata

  [ Alexandre Mestiashvili ]
  * refreshed patches, dropped fix_makefile_machine_detection.patch
  * d/control: bump Standards-Version
    Architecture: amd64 kfreebsd-amd64, starting from this version
    bowtie2 works on amd64 only
    added python to Depends:
  * d/rules: remove i386 related fixes,rules for new binaries
  * d/bowtie2.install: added new binaries introduced by the new version

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Thu, 20 Feb 2014 13:29:58 +0100

bowtie2 (2.1.0-2) unstable; urgency=low

  * Closes: #713000
  * d/control: fixed description for bowtie2-examples,
     bumped Standards-Version,
     removed DM-Upload-Allowed,
     use canonical vcs
  * d/tests/: underscore are not allowed for tests

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Tue, 25 Jun 2013 13:58:18 +0200

bowtie2 (2.1.0-1) unstable; urgency=low

  * - d/help2man-wrapper: as kindly suggested by Andreas Tille
    Closes: #701686
    - d/rules: use help2man-wrapper instead of help2man to generate man pages
  * Imported Upstream version 2.1.0
  * refreshed patches

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Wed, 27 Feb 2013 15:58:40 +0100

bowtie2 (2.0.6-1) unstable; urgency=low

  * Imported Upstream version 2.0.6

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Tue, 19 Feb 2013 17:30:42 +0100

bowtie2 (2.0.5-1) unstable; urgency=low

  * Imported Upstream version 2.0.5

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Fri, 11 Jan 2013 11:19:34 +0100

bowtie2 (2.0.4-1) unstable; urgency=low

  * Imported Upstream version 2.0.4

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Thu, 27 Dec 2012 17:33:36 +0100

bowtie2 (2.0.2-1) unstable; urgency=low

  [ Carlos Borroto ]
  * Imported Upstream version 2.0.2
  * bowtie2_gcc4.7.patch no longer needed

  [ Alexandre Mestiashvili ]
  * added autopkgtest testsuite
  * updated Uploaders field

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Mon, 19 Nov 2012 16:31:02 +0100

bowtie2 (2.0.0-beta7-1) unstable; urgency=low

  [ Alexandre Mestiashvili ]
  * debian/control force architcures to i386/amd64 kfreebsd-i386/amd64 and
    hurd-i386 SSE is not availbale on others. Closes: #668123
  * debhelper version 9
  * debian/rules forced hardening flags
  * hardening.patch to inject hardening CPPFLAGS
  * Imported Upstream version 2.0.0-beta7
  * debian/bowtie2.lintian-overrides to avoid lintian's waring
    to be fixed by using epochs and tilda in upstream version

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Mon, 30 Jul 2012 13:51:31 +0200

bowtie2 (2.0.0-beta6-3) unstable; urgency=low

  * normalized architecture detection.
    For example kfreebsd-amd64 is detected as an amd64 architecture
    and msse flag is set.(Previous commit was wrong) (Closes: #673159)

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Fri, 01 Jun 2012 21:58:49 +0200

bowtie2 (2.0.0-beta6-2) unstable; urgency=low

  * debian/rules normalized output of dpkg-architecture,
    so for example kfreebsd-amd64 is detected as an amd64 architecture
    and sse flags are enabled for it.

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Thu, 31 May 2012 19:22:56 +0200

bowtie2 (2.0.0-beta6-1) unstable; urgency=low

  * updated debian/watch and get-orig-source to track -source suffix
  * Imported Upstream version 2.0.0-beta6
  * debian/patches/fix_makefile_machine_detection.patch
    use -msse2 only for Intel architectures, Closes: #672526

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Fri, 11 May 2012 08:41:59 +0200

bowtie2 (2.0.0-beta5-2) unstable; urgency=low

  [ Alexandre Mestiashvili ]
  * file sse_util.h has missing copyright header.
    The Author (Benjamin Langmead) has
    confirmed that the file is distributed under GPL3 license.

  [ Andreas Tille ]
  * debian/upstream: Added publication
  * debian/patches/fix_makefile_machine_detection.patch + debian/rules:
    prevent -mXX and -msse2 switches for non Intel architectures

  [ Alexandre Mestiashvili ]
  * debian/patches/bowtie2_gcc4.7.patch Closes: #672090
  * updated DEP3 headers
  * bumperd Standards-Version to 3.9.3
  * uname -m doesn't detect 32 bit chroot env - updated patcH

 -- Andreas Tille <tille@debian.org>  Thu, 26 Apr 2012 13:59:54 +0200

bowtie2 (2.0.0-beta5-1) unstable; urgency=low

  [ Alexandre Mestiashvili ]
  * Initial release (Closes: #660762)

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Wed, 22 Feb 2012 11:03:03 +0100
